Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#40112 - [linux] package does not build in a clean chroot due to gcc error

Attached to Project: Arch Linux
Opened by John (graysky) - Sunday, 27 April 2014, 11:51 GMT
Last edited by Jan de Groot (JGC) - Sunday, 27 April 2014, 12:20 GMT
Task Type Bug Report
Category Packages: Testing
Status Closed
Assigned To No-one
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

I cannot build the latest release due to the following gcc error. Complete build log is attached. Chroot is updated via a sync'ed mirror. No modifications have been made to /etc/makepkg.conf or the like.

Makefile:615: Cannot use CONFIG_CC_STACKPROTECTOR_STRONG: -fstack-protector-strong not supported by compiler

Additional info:
* package version(s) 3.14.2-1
   build.log (12.5 KiB)
This task depends upon

Closed by  Jan de Groot (JGC)
Sunday, 27 April 2014, 12:20 GMT
Reason for closing:  Not a bug
Comment by Jan de Groot (JGC) - Sunday, 27 April 2014, 12:19 GMT
You need gcc 4.9 for that feature. Linux kernel and gcc are both in testing.

Loading...